Bug 483838 - Review Request: vmware-view-open-client - Client for Windows desktops managed by VMware View
Review Request: vmware-view-open-client - Client for Windows desktops manage...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 15:48 EST by Lubomir Rintel
Modified: 2009-10-29 09:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-29 09:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build log of a failed build on a x86_64 system (60.48 KB, text/plain)
2009-02-18 13:22 EST, Jochen Schmitt
no flags Details
Buildl log from fedora-10-i386 mock (242.94 KB, text/plain)
2009-02-19 14:20 EST, Jochen Schmitt
no flags Details

  None (edit)
Description Lubomir Rintel 2009-02-03 15:48:41 EST
SPEC: http://v3.sk/~lkundrak/SPECS/vmware-view-open-client.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/vmware-view-open-client-2.1.1-1.fc11.src.rpm

Description:

VMware View Open Client lets you connect from a Linux desktop to remote
Windows desktops managed by VMware View. It supports two factor
authentication with RSA SecurID and is able to create a secure tunnel
using SSL.
Comment 1 Lubomir Rintel 2009-02-03 15:51:26 EST
Please note that creation of the package was optimized for speed:
http://marek.mahut.sk/blog/2009/02/03/vmware-announces-open-source-vmware-viewer

If you need to prove you can find actual errors in package in order to get sponsorship or whatever, this might be a good chance :o)

Also, if you're interested in maintaining this more than me, please let me know ;)
Comment 2 Jochen Schmitt 2009-02-18 12:31:51 EST
An additional issue is the fact, that this package is only useable on the i386 architecture. I have try to build it on x86_64. Becaused this build fails, I have start a thread on the upstream mailing list. the answer was, that the application is only useable on the i386 architecture.
Comment 3 Jochen Schmitt 2009-02-18 12:34:36 EST
sorry, that I'm starting another comment here. Does we need the vmware kernel modules? If yes, we need to reopen this review on rpmfusion because Fedora doesn't accecpt kernel modules as packages and packages which depends on packages provid from outsite of fedora are not valid for Fedora.
Comment 4 Jochen Schmitt 2009-02-18 13:13:19 EST
Good:
+ Base name of the SPEC file matches with package name
+ Package name fits naming guildlines
+ Could download sources from upstream via spectool -g
+ Packaged tar ball matches with upstream one
(md5sum: 8e289d1c6de0b89765420dad6ba0a202)
+ Consistently usage of rpm macros
+ Package contains a license tag with LGPLv2 as a valic OSS license
+ Package contains a verbatin copy of the license text
+ Package contains no subpackages
+ Defintion of the Buildroot is ok
+ Buildroot will been cleaned on the beginning of %clean and %install
+ Rpmlint is silent on source package
+ Package use parallel build
+ Mock build works fine for ix86 architecture
+ Rpmlint is silent on binary package
+ Rpmlint is silent on debuginfo package
+ Debuginfo package contains source files
+ Local install works fine
+ Local uninstall works fine
+ All packaged files are own by the package
+ %file stanza contains no duplicat entries
+ There are no files with the smae name as in other packages in the package
+ %changelog has proper format

Bad:
- Package should have 'ExclusiveArch: %{ix86}'
- Package should use desktop-file-install as described in the
packaging guildlines
- Start of the application caused the following error messages:
SSLLoadSharedLibrary: Failed to load library libcrypto.so.0.9.8:/usr/lib/libcrypto.so.0.9.8: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
SSLLoadSharedLibrary: Failed to load library libcrypto.so.0.9.8:/usr/lib/libcrypto.so.0.9.8: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
- Copyright note in the sources says, that LGPLv2+ is the valid license specification
for the license tag
- %doc stanza is large. So it may be nice, if you can put View_Client_Admin_Guide.pdf
and View_Client_Help.pdf in a separate subpackage
Comment 5 Lubomir Rintel 2009-02-18 13:15:08 EST
(In reply to comment #2)
> An additional issue is the fact, that this package is only useable on the i386
> architecture. I have try to build it on x86_64. Becaused this build fails, I
> have start a thread on the upstream mailing list. the answer was, that the
> application is only useable on the i386 architecture.

I'm not aware of this and can't see anything that would be i386-specific here. Requirement of review is being able to build on at least one supported architecture, so it can be addressed after it is reviewed.

Could you please attach the log file from the x86_64 build?

(In reply to comment #3)
> sorry, that I'm starting another comment here. Does we need the vmware kernel
> modules? If yes, we need to reopen this review on rpmfusion because Fedora
> doesn't accecpt kernel modules as packages and packages which depends on
> packages provid from outsite of fedora are not valid for Fedora.

No, we don't need any modules. This is basically just a remote desktop client.
Comment 6 Jochen Schmitt 2009-02-18 13:22:42 EST
Created attachment 332430 [details]
Build log of a failed build on a x86_64 system

Here is the build log of my x86_64 system. As wrote in an earlier comment upstream say, that x86_64 is not supported.
Comment 7 Lubomir Rintel 2009-02-19 04:40:26 EST
(In reply to comment #4)
...
> Bad:
> - Package should have 'ExclusiveArch: %{ix86}'

Golly! It contains i386 assembly code. Oh, how Enterprisey! :)
I'll fix that, in next spin of the package (probably after I fix the openssl issue and we agree on the split of documentation)

> - Package should use desktop-file-install as described in the
> packaging guildlines
> - Start of the application caused the following error messages:
> SSLLoadSharedLibrary: Failed to load library
> libcrypto.so.0.9.8:/usr/lib/libcrypto.so.0.9.8: Kann die Shared-Object-Datei
> nicht öffnen: Datei oder Verzeichnis nicht gefunden
> SSLLoadSharedLibrary: Failed to load library
> libcrypto.so.0.9.8:/usr/lib/libcrypto.so.0.9.8: Kann die Shared-Object-Datei
> nicht öffnen: Datei oder Verzeichnis nicht gefunden

Hm, hm, hm, for me it worked. Did you build it and run it on different versions? (e.g. F9 vs. Rawhide?). If not, please tell me which release did you compile & run on and.

It would be awesome if you could tell me which versions of openssl and openssl-devel did you use, as well as attaching the build log.

> - Copyright note in the sources says, that LGPLv2+ is the valid license
> specification
> for the license tag

 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation version 2.1 and no later version.

This is from brokerDlg.cc. It specifically says "no later version".

> - %doc stanza is large. So it may be nice, if you can put
> View_Client_Admin_Guide.pdf
> and View_Client_Help.pdf in a separate subpackage

I would agree, given the package is intended for thin clients, which are usually space-constrained, but looking at the size of binary itself compared to the documentation, I'm quite hesitant to split that:

$ du -sh vmware-view doc/*pdf
5.5M    vmware-view
528K    doc/View_Client_Admin_Guide.pdf
548K    doc/View_Client_Help.pdf

What do you think? If you still think the split is a good idea, I'll do that.
Comment 8 Jochen Schmitt 2009-02-19 14:18:26 EST
I have make a mock build for F-10 and install the i386 package on a x86_64 system.

openssl-devel-0.9.8g-12.fc10.i386

on mock and of the system on which I have installed the package.
Comment 9 Jochen Schmitt 2009-02-19 14:20:31 EST
Created attachment 332614 [details]
Buildl log from fedora-10-i386 mock
Comment 10 Lubomir Rintel 2009-10-29 09:32:37 EDT
I am no longer interested in this package. If anyone wants to resurrect it feel free to. I'd gladly help if needed.

Note You need to log in before you can comment on or make changes to this bug.